<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NukeSentinel(tm)                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/

if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}

$pagetitle = _AB_NUKESENTINEL.": "._AB_ADDRANGE;
incoh();
title($pagetitle);
Max_OpenTable();
OpenMenu();
ipbanmenu();
CarryMenu();
blockedrangemenu();
CloseMenu();
Max_CloseTable();
br('1');
Max_OpenTable();
echo "<table align='center' border='0' cellpadding='2' cellspacing='2'>\n";
echo "<form action='".$admin_file.".php' method='post'>\n";
echo "<tr bgcolor='$bgcolor1'><td align='center' class='content' colspan='2'>"._AB_ADDRANGES."</td></tr>\n";
if(isset($ip_lo)) { $tip_lo = explode(".", $ip_lo); } else { $tip_lo[0]=""; $tip_lo[1]=$tip_lo[2]=$tip_lo[3]="0"; }
echo "<tr><td bgcolor='$bgcolor2'><b>"._AB_IPLO.":</b></td>\n";
echo "<td><input type='text' name='xip_lo[0]' value='$tip_lo[0]' size='4' maxlength='3' align='right'>\n";
echo ". <input type='text' name='xip_lo[1]' value='$tip_lo[1]' size='4' maxlength='3' align='right'>\n";
echo ". <input type='text' name='xip_lo[2]' value='$tip_lo[2]' size='4' maxlength='3' align='right'>\n";
echo ". <input type='text' name='xip_lo[3]' value='$tip_lo[3]' size='4' maxlength='3' align='right'></td></tr>\n";
if(isset($ip_hi)) { $tip_hi = explode(".", $ip_hi); } else { $tip_hi[0]=""; $tip_hi[1]=$tip_hi[2]=$tip_hi[3]="255"; }
echo "<tr><td bgcolor='$bgcolor2'><b>"._AB_IPHI.":</b></td>\n";
echo "<td><input type='text' name='xip_hi[0]' value='$tip_hi[0]' size='4' maxlength='3' align='right'>\n";
echo ". <input type='text' name='xip_hi[1]' value='$tip_hi[1]' size='4' maxlength='3' align='right'>\n";
echo ". <input type='text' name='xip_hi[2]' value='$tip_hi[2]' size='4' maxlength='3' align='right'>\n";
echo ". <input type='text' name='xip_hi[3]' value='$tip_hi[3]' size='4' maxlength='3' align='right'></td></tr>\n";
echo "<tr><td bgcolor='$bgcolor2' valign='top'><b>"._AB_EXPIRESIN.":</b></td><td><select name='xexpires'>\n";
select_box7();
echo "</select><br />\n"._AB_EXPIRESINS."</td></tr>\n";
echo "<tr><td bgcolor='$bgcolor2' valign='top'><b>"._AB_NOTES.":</b></td><td><textarea name='xnotes' $textrowcol>"._AB_ADDBY." $aid</textarea></td></tr>\n";
echo "<tr><td bgcolor='$bgcolor2'><b>"._AB_REASON.":</b></td><td><select name='xreason'>";
select_box8();
echo "</select></td></tr>\n";
echo "<tr><td bgcolor='$bgcolor2'><b>"._AB_COUNTRY.":</b></td>\n";
echo "<td><select name='xc2c'>\n";
$result = $db->sql_query("SELECT * FROM `".$prefix."_nsnst_countries` ORDER BY `country`");
while($countryrow = $db->sql_fetchrow($result)) {
  echo "<option value='".$countryrow['c2c']."'";
  if($tc2c == strtolower($countryrow['c2c'])) { echo " selected"; }
  echo ">".$countryrow['country']." (".$countryrow['c2c'].")</option>\n";
}
echo "</select></td></tr>\n";
echo "<input type='hidden' name='op' value='ABBlockedRangeAddSave'>\n";
echo "<tr><td colspan='2' align='center'><input type='checkbox' name='another' value='1' checked'>"._AB_ADDANOTHERRANGE."</td></tr>\n";
echo "<tr><td colspan='2' align='center'><input type=submit value='"._AB_ADDRANGE."'></td></tr>\n";
echo "</form>";
echo "</table>\n";
Max_CloseTable();
incof();